Create Scheduled Disbursement

Last updated Mar 5th, 2026

post api.withmono.com/v3/payments/disburse/disbursements
v1.0

This endpoint is used to set up payouts that will be executed at a later time.

Body Params
Headers

Request

12345678910111213141516171819202122232425
curl --request POST \
  --url https://api.withmono.com/v3/payments/disburse/disbursements \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'mono-sec-key: <YOUR_SECRET_KEY>' \
  --data '{
    "reference": "disburse_ref_67890",
    "source": "mandate",
    "account": "688a0b672f88771f77d05cf5",
    "type": "scheduled",
    "total_amount": 1000000,
    "description": "monthly payroll disbursement",
    "distribution": [
        {
            "reference": "dist_ref_abcde",
            "recipient_email": "olamide@neem.com",
            "account": {
                "account_number": "0012345678",
                "bank_code": "044"
            },
            "amount": 250000,
            "narration": "salary payment"
        }
    ]
}'

Response

Choose an option from the drop down or click one of these buttons to see an example:

Did this page help you?